/**
 * GMail web app script
 */

/**
 * standard webrunner plugin api
 */
function startup() {
  GoogleMail.startup();
}

function shutdown() {
  GoogleMail.shutdown();
}

function dropFiles(uris) {
}

/**
 * plugin controller for gmail
 */
var GoogleMail = {
  _timer : null,
  _newMailCount : 0,

  _doTimer : function() {
    // simple check uses the window title to check for new mail
    var title = document.title;
    var matches = title.match(/Inbox \((\d+)\)/);
    if (matches) {
      if (matches[1] > this._newMailCount) {
        host.showAlert(host.getResource("mail28.png"), "GMail", "You have new email. There are " + matches[1] + " unread email in your Inbox.");
      }

      this._newMailCount = matches[1];
    }
  },

  startup : function() {
    // kick off a polling timer to check for new mail
    this._timer = setInterval(GoogleMail._doTimer, 5000);
  },

  shutdown : function() {
    if (this._timer)
      clearInterval(this._timer);
  }
};
